RFC2965SpecProvider (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class RFC2965SpecProvider

    java.lang.Object
      org.apache.http.impl.cookie.RFC2965SpecProvider

All Implemented Interfaces:
  CookieSpecProvider

    @Obsolete
    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class RFC2965SpecProvider

extends Object
implements CookieSpecProvider

`CookieSpecProvider` implementation that provides an instance of `RFC2965Spec`. The instance returned by this factory can be shared by multiple threads.

Rendered obsolete by `RFC6265CookieSpecProvider`

Since:
  4.4
See Also:
  `RFC6265CookieSpecProvider`

Constructor Summary
`RFC2965SpecProvider()`
`RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher)`
`RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher, boolean oneHeader)`

Method Summary
`CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RFC2965SpecProvider

    public RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher,
                               boolean oneHeader)

### RFC2965SpecProvider

    public RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher)

### RFC2965SpecProvider

    public RFC2965SpecProvider()

Method Detail

### create

    public CookieSpec create(org.apache.http.protocol.HttpContext context)

  Description copied from interface: `CookieSpecProvider`
  Creates an instance of `CookieSpec`.

  Specified by:
    `create` in interface `CookieSpecProvider`
  Returns:
    auth scheme.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.